Ubuntu Autoinstall enable offline and online installation
11/04/2022 10:24 AM - Bastian Schmidt
Description

The userdata template preseed_autoinstall_cloud_init defines the installer configuration for a new Ubuntu host. This includes also
an initial package manager setup which configures a repository for apt.

As of now, the URL http://archive.ubuntu.com/ubuntu is set statically. This leads to an error if the host cannot reach this URL during
the initial installer setup. This is usually the case if a host is supposed to be deployed offline and should not have access to the
Internet.

We need an option to enable offline installation for Ubuntu host deployment. This could be achieved by assigning a mirror
dynamically.

Associated revisions

Revision 8498dedf - 12/15/2022 11:39 AM - Bastian Schmidt

Fixes #35719 - Preseed Autoinstall auto updates
e Disable installer auto-updates depending on 'activation
key' and host param 'package_upgrade'
¢ Add template description

Co-authored-by: Marcel Kiihlhorn <marcelk@atix.de>

History

#1 - 11/04/2022 11:25 AM - Bastian Schmidt

After further research, we found out:

Instead of assigning an URL for the offline installation, we can disable the auto-updates of the installer.

Moreover, in katello-supported EL finish templates, host upgrades are managed by the finish template. Therefore, no auto-update of the installer is
necessary (see EL finish template:
https://github.com/theforeman/foreman/blob/5339e9fd73fbe4d33e8625{805321afc58391e66/app/views/unattended/provisioning_templates/finish/kick
start_default_finish.erb#L 23).

However, | propose to differentiate between the following use cases:

auto-updates|y]?:

- katello[y]?:

-- managed by finish script (disable corresponding components)
- katello[n]?:

-- use official repos

auto-updates[n]?:

- disable corresponding components

#2 - 11/04/2022 02:55 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9501 added

#3 - 12/15/2022 11:39 AM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#4 - 12/15/2022 12:01 PM - Bastian Schmidt
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8498dedf4ce24cdbf521e43b72521453552218e3.

#5 - 12/16/2022 04:32 PM - The Foreman Bot
- Fixed in Releases 3.5.1 added

#6 - 02/28/2023 03:34 PM - Ewoud Kohl van Wijngaarden
- Category changed from Host creation to Unattended installations

- Triaged changed from No to Yes

#7 - 03/24/2023 09:52 AM - Tim Eilers
Your change introduced a bug. Raised #36229 due to that.

05/18/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8498dedf4ce24cdbf521e43b72521453552218e3
https://projects.theforeman.org/issues/36229
http://www.tcpdf.org

